
<html>
<head>
    <title>Pin View 1.0</title>
	<style type="text/css">

		body {
			font-family:tahoma;
			background-color:white;
			text-align:center;
		}

		
		.pin {
			font-size:12px;
			border:1px solid rgb(214,210,211);
			float: left;
			background-color:white;
		}
		
		.pin-img {
			border:0px;
			margin-bottom:3px;
		}
		
		#pin-board {
			border:1px solid rgb(189,186,186);
			background-color:rgb(242,240,241);
			margin:0px auto;
		}
		
		.add-pin-button {
			width:80px;
			background-color:rgb(242,240,241);
		}
	</style>
	
    
</head>
<body>

<h1>The Pin View 1.0</h1>

<div id="pin-board">
</div>
<br/>
<div style="width:570px; margin:0px auto;">
	<div style="float:left; text-align:left; font-size:10px; margin:2px;">
	&nbsp;&nbsp;Pin Title *<br/>
	<input type="text" id="pin_title" placeholder="Enter Pin Title" />
	</div>
	<div style="float:left; text-align:left; font-size:10px; margin:2px;">
	&nbsp;&nbsp;Pin Image<br/>
	<input type="text" id="pin_image" placeholder="Enter Pin Image"/>
	</div>
	<div style="float:left; text-align:left; font-size:10px; margin:2px;">
	&nbsp;&nbsp;Pin URL<br/>
	<input type="text" id="pin_url" placeholder="Enter URL to link"/>
	</div>
	<div style="float:left; text-align:left; font-size:10px; margin:2px;">
	&nbsp;&nbsp;Add Pin<br/>
	<input type="button" onclick="addButtonClicked()" value="Add Pin" class="add-pin-button"/>
	</div>
</div>

    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.min.js"></script>
	
	<script type="text/javascript">
		//config section-------------------------------
		var pin_board_width = 560;
		var pin_width = 120;
		var pin_margin = 5;
		var pin_padding = 4;
		
		//simulate this db to be in your server--------
		pinDatabase=[{title:"Hello",image:"",url:""},
		             {title:"Instagram Login",image:"http://3.bp.blogspot.com/-gSN63d6s1Ug/ULpLhEiKNTI/AAAAAAAAAZo/FX4_4dTBIjY/s1600/insta_main.png",url:"http://www.codehandling.com/2012/12/instagram-login-using-oauth-20-in-java.html"},
		             {title:"Openshift",image:"http://4.bp.blogspot.com/-uY9T6ClGtqM/ULSlg6aSj0I/AAAAAAAAAWI/eTAKGds9lmE/s1600/openshift_main.png",url:"http://www.codehandling.com/2012/11/openshift-free-cloud-hosting-for.html"},
		             {title:"GYFT Login",image:"http://3.bp.blogspot.com/-b3KjlXfCc60/ULY1Z04HFWI/AAAAAAAAAWc/9mrqY-f7yjM/s1600/GYFT_main.png",url:"http://www.codehandling.com/2012/11/install-google-yahoo-facebook-twitter.html"},
		             {title:"Marketting - Fb Actions",image:"http://4.bp.blogspot.com/-Rt8bUk5JdJ8/ULb6eHlvk-I/AAAAAAAAAYA/Hn9SkrGEN6Y/s1600/market_action_main2.png",url:"http://www.codehandling.com/2012/11/social-marketting-your-webpage-using.html"},
		             {title:"Code Handling",image:"https://lh3.googleusercontent.com/-jr-SH35yoRw/UL4ANu3ifYI/AAAAAAAAAaA/1-VHYf-Dvgo/s800/ch.png",url:"http://www.codehandling.com"}];
	
	</script>
	<script src="./js/jquery.masonry.min.js"></script>		
	<script src="./js/pin.view.js"></script>

</body>
</html>

